package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysUserOrgRsMapper;
import com.bsoft.api.model.SysUserOrgRs;
import com.bsoft.api.service.SysUserOrgRsService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class SysUserOrgRsServiceImpl implements SysUserOrgRsService {
    @Resource
    private SysUserOrgRsMapper sysUserOrgRsMapper;

    @Override
    public int add(SysUserOrgRs sysUserOrgRs) {
        return sysUserOrgRsMapper.insert(sysUserOrgRs);
    }

    @Override
    public List<SysUserOrgRs> findAll() {
        return sysUserOrgRsMapper.selectAll();
    }

    @Override
    public SysUserOrgRs find(Long id) {
        return sysUserOrgRsMapper.selectByPrimaryKey(id);
    }

    @Override
    public int delete(Long id) {
        return sysUserOrgRsMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int logicDelete(Long id) {
        return 0;
    }

    @Override
    public int update(SysUserOrgRs sysUserRoleRs) {
        return sysUserOrgRsMapper.updateByPrimaryKey(sysUserRoleRs);
    }
}
