package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.SysUserMapper;
import com.bsoft.api.model.SysUser;
import com.bsoft.api.service.UserService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class UserServiceImpl implements UserService {

    @Resource
    private SysUserMapper sysUserMapper;

    @Override
    public SysUser findByLoginName(String loginName) {
        return sysUserMapper.selectByCode(loginName);
    }
}
