package com.bsoft.api.service.Impl;

import com.bsoft.api.mapper.DicDimMapper;
import com.bsoft.api.model.DicDim;
import com.bsoft.api.service.DicDimService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.math.BigDecimal;
import java.util.List;

@Service
public class DicDimServiceImpl implements DicDimService {

    @Resource
    private DicDimMapper dicDimMapper;

    @Override
    public int add(DicDim dicDim) {
       return dicDimMapper.insert(dicDim);
    }

    @Override
    public List<DicDim> findAll() {
        return dicDimMapper.selectAll();
    }

    @Override
    public DicDim find(Long id) {
        return dicDimMapper.selectByPrimaryKey(id);
    }

    @Override
    public int delete(Long id) {
        return dicDimMapper.deleteByPrimaryKey(id);
    }

    @Override
    public int logicDelete(Long id) {
        return 0;
    }

    @Override
    public int update(DicDim dicDim) {
        return dicDimMapper.updateByPrimaryKey(dicDim);
    }
}
