package com.bsoft.api.service;

import com.bsoft.api.model.SysUser;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

public interface LoginService {


    LoginInfo login(String loginName, String password,String ip);

    String refreshToken(String oldToken);

    @ApiModel(description = "登录信息")
    class LoginInfo {
        @ApiModelProperty("token")
        private String token;
        @ApiModelProperty("用户信息")
        private SysUser user;

        public LoginInfo() {
        }

        public LoginInfo(String token, SysUser user) {
            this.token = token;
            this.user = user;
        }

        public String getToken() {
            return token;
        }

        public void setToken(String token) {
            this.token = token;
        }

        public SysUser getUser() {
            return user;
        }

        public void setUser(SysUser user) {
            this.user = user;
        }
    }
}
